library(dplyr)
library(magrittr)
library(vegan)
library(tidyverse)

################################################################################################################################

##kruskal wallis test for overall 1072 data
mr_all_data <- read.csv("~/Downloads/MR_data_K & O Loci _1072.csv")

kruskal_result_all_klocus <- kruskal.test(virulence_score ~ K_locus, data = mr_all_data)
kruskal_result_all_klocus

kruskal_result_all_Olocus <- kruskal.test(virulence_score ~ O_locus, data = mr_all_data)
kruskal_result_all_Olocus

kruskal_result_all_invasiveness_all <- kruskal.test(virulence_score ~ Invasive, data = mr_all_data)
kruskal_result_all_invasiveness_all


kruskal_result_all_invasiveness_all_K <- kruskal.test(K_locus ~ Invasive, data = mr_all_data)
kruskal_result_all_invasiveness_all_K

#################################################################################################################################################
#Load the dereplicated MR data
derep_data <- read.csv("~/Downloads/Derplicated_MR.csv")

kruskal_result_derep_klocus <- kruskal.test(virulence_score ~ K_locus, data = derep_data)
kruskal_result_derep_klocus


kruskal_result_derep_olocus <- kruskal.test(virulence_score ~ O_locus, data = derep_data)
kruskal_result_derep_olocus

kruskal_result_derep_invasiveness <- kruskal.test(virulence_score ~ Invasive, data = derep_data)
kruskal_result_derep_invasiveness



################################################################################################################################


